/*	Author:		Magdin Stoica
	Supervisor: Dr. Ryan Leduc
	
	Project created in conformity with the requirements for the Degree of Master of Engineering in Software Engineering, 
	Computing and Software Department, 
	McMaster University
	2003 - 2007
*/

#pragma once

#include <QObject>


namespace DESpot
{

class DespotForm;
class MainForm;

class Workspace: public QObject
{
	Q_OBJECT

	public:
		Workspace(DespotForm* pForm);
		virtual ~Workspace(void);

	protected:
		DespotForm* form();
		MainForm*   mainForm();

	private:
		DespotForm* m_pForm;
};

} //end of namespace DESpot
